# RecipeManager
### Manage recipes and ingredients easier and faster

The RecipeManager is intended to be a professional application that allows users to manage many
recipes with one application. This includes the creation of new ingredients, as well as the
assigning of recipes and ingredients to categories.

## Features
This software provides the following features:
- Ingredient-Management
  - Add & remove ingredients
  - Edit ingredients
  - Filter for ingredients
    - Name
    - Vegan & Vegetarian
    - Category
- Recipe-Management
  - Add & remove recipes
  - Edit recipes
  - Recalculate the portion count in recipes
  - Filter for recipes
    - Name
    - Category
    - Vegan & Vegetarian
    - Time
    - Difficulty
    - Ingredients
- Choose from 4 different application themes
- Automatic & manual search for application updates

## Setup
HEBK/recipemanager -> RecipeManager is available as Windows installer.
The following operating systems are supported:
- Windows 7
- Windows Server 2012 R2
- Windows 8
- Windows Server 2016
- Windows 10
- Windows Server 2019
- Windows 11
- Windows Server 2022

_For Linux based operating systems please take a look into our ([Wiki]() Coming Soon)._

To install the software, please follow these steps:
1. Download the latest release. [Latest release](https://github.com/HEBK/recipemanager/releases/latest) | [Latest installer](https://cdn.sarpex.eu/software/hebk/recipemanager/dl/download.php?type=exe)
2. Download the installer or iso file by using the displayed links.
3. Execute the downloaded setup helper.
4. The program is now successfully installed on your computer.

### Java version
If you want to compile the software manually from the source code files, please be aware that you need to meet the minimum requirements of the Java version. Moreover you need to consider the [third-party libraries](#third-party-libraries).
To execute and compile this software you need at least **Java JDK 15**.

## Contributors
- Florian K. ([@Cr4zyFl1x](https://github.com/Cr4zyFl1x))
- Liz R. ([@Liz1312](https://github.com/Liz1312))
- Anton S. ([@Papercut1](https://github.com/Papercut1))
- Jannik S. ([@NchtJnSkll](https://github.com/NchtJnSkll))
- Jost V. ([@JostVanheiden](https://github.com/JostVanheiden))

## License
The associated license for this software can be shown here:
(https://github.com/HEBK/recipemanager/blob/master/LICENSE)

### Third-Party Libraries
- [Bulenkov's Darcula](https://github.com/bulenkov/Darcula) - Master
- [Cr4zyFl1x's JavaLogger](https://github.com/Cr4zyFl1x/JavaLogger) - Version 1.2.0 or higher
- [JetBrains Annotations](https://github.com/JetBrains/java-annotations) - Version 20.1.0
- [MyBatis 3](https://github.com/mybatis/mybatis-3) - Version 3.2.3
- [Oracle JDBC MySQL Connector/J](https://github.com/mysql/mysql-connector-j) - Version 8.0.26 or higher
- [SQLite JDBC Driver](https://github.com/xerial/sqlite-jdbc) - Version 3.36.0.3 or higher

For license information of each library please take a look at [this file](https://github.com/HEBK/recipemanager/blob/master/resources/licenses/THIRD-PARTY) or visit the repositories of the used libraries.

## Project webpages
- **GitHub:** [https://github.com/HEBK/recipemanager](https://github.com/HEBK/recipemanager)
- **Gitea:** [https://git.kleine-vorholt.eu/HEBK/recipemanager](https://git.kleine-vorholt.eu/HEBK/recipemanager)

## Bugs & Feature Requests
Bugs & feature requests can be mentioned as an [issue](https://github.com/HEBK/recipemanager/issues) and will be processed as soon as possible.